ur_rna.StructureEditor.services

## Enum SceneUpdateCategory

- java.lang.Object
- - java.lang.Enum<SceneUpdateCategory>
  - - ur_rna.StructureEditor.services.SceneUpdateCategory

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SceneUpdateCategory>

      public enum SceneUpdateCategory
      extends java.lang.Enum<SceneUpdateCategory>

  Various types of changes that can occur to a Scene as a result of user interaction.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Controls` Changes to the DrawHandles or other controls that need to be redrawn.
    `History` Changes to the Undo/Redo history
    `Layout` Changes to Nucleotide positions
    `Selection` Changes to the current nucleotide selection
    `Structure` Changes to Sequence or Bonds
    `Style` Changes to Nucleotide styles (color etc)
    `View` Changes to Zoom, Offset, or ViewPort

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SceneUpdateCategory` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SceneUpdateCategory[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Controls

          public static final SceneUpdateCategory Controls

      Changes to the DrawHandles or other controls that need to be redrawn.

    - #### History

          public static final SceneUpdateCategory History

      Changes to the Undo/Redo history

    - #### Layout

          public static final SceneUpdateCategory Layout

      Changes to Nucleotide positions

    - #### Selection

          public static final SceneUpdateCategory Selection

      Changes to the current nucleotide selection

    - #### Structure

          public static final SceneUpdateCategory Structure

      Changes to Sequence or Bonds

    - #### Style

          public static final SceneUpdateCategory Style

      Changes to Nucleotide styles (color etc)

    - #### View

          public static final SceneUpdateCategory View

      Changes to Zoom, Offset, or ViewPort

  - ### Method Detail

    - #### valueOf

          public static SceneUpdateCategory valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static SceneUpdateCategory[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SceneUpdateCategory c : SceneUpdateCategory.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared